/* _dict.cc 16/05/1998 12.07.58 */
/* arch.cc 26/01/1999 23.00.16 */
void arch_init (void);
/* ascii.cc 16/05/1998 12.10.52 */
int ascii_test (const char *fname);
/* bfusion.cc 19/05/1998 00.06.44 */
int bfusion_setup (USERINFO *user, int fusion_usager);
/* bfusion1.cc 17/05/1998 22.36.12 */
int bfusion_extractrev (USERINFO *extr,
	 USERINFO *ref,
	 USERINFO *intg,
	 const char *tbprj[],
	 int nbprj,
	 PROJET_LOG *log);
/* bfusion2.cc 18/05/1998 05.44.06 */
int bfusion_compose (USERINFO *user,
	 VERSION_PAIRE tbpaires[],
	 VERSION_DAT&version);
/* bootrcs.cc 17/01/1999 17.24.52 */
void error_showdef (int noerr, ...);
/* change.cc 16/05/1998 23.49.26 */
/* change1.cc 28/01/1999 03.09.08 */
int change_edit (USERINFO *user, const char *projet);
/* etc.cc 17/05/1998 22.46.56 */
void strlwr (char *pt);
void bugapp_printf (const char *key, const char *ctl, ...);
/* export.cc 17/05/1998 15.53.14 */
int export_site (USERINFO *user,
	 VERSION_DAT&princ,
	 const char *site,
	 PROJET_LOG&log);
/* foper.cc 16/05/1998 23.54.30 */
void foper_setlog (PROJET_LOG *log);
int foper_archive (const char *nom,
	 const char *projet,
	 const REVISION *rev,
	 const USERINFO *user);
int foper_backup (const char *nom,
	 const char *projet,
	 REVISION *rev,
	 USERINFO *user);
/* fuslog.cc 28/01/1999 03.36.56 */
void fuslog_add (const USERINFO *user, const char *ctl, ...);
void fuslog_settitre (const char *str);
void fuslog_edit (const USERINFO *user);
void fuslog_setbutton (DIALOG&dia, const USERINFO *);
/* import.cc 28/01/1999 03.22.04 */
void import (USERINFO *user);
/* intgdat.cc 17/05/1998 00.01.50 */
/* intgdat1.cc 28/01/1999 03.43.22 */
void integre_do (USERINFO *user);
/* intgdat2.cc 17/05/1998 06.24.08 */
/* intgdat3.cc 28/01/1999 03.51.06 */
const char *intgdat_rev2prog (const char *revision);
/* livre.cc 16/05/1998 14.02.56 */
int livre_revision (USERINFO *user,
	 PRJCTRL *ctrl,
	 PROJET_LOG *log,
	 const char *projet,
	 const char *defcom,
	 REVISION_TYPE revtype);
int livre_test (USERINFO *user,
	 PRJCTRL *ctrl,
	 const char *projet,
	 int test_comment,
	 char *tberr[]);
/* log.cc 17/01/1999 22.44.08 */
void log_setpath (const char *path);
void log_getpath (const char *fname, char *fpath);
FILE *log_fopen (const char *fname, int append);
/* makefil.cc 17/01/1999 17.25.06 */
/* makefil1.cc 10/09/1992 12.08.16 */
/* makefil2.cc 17/05/1998 22.35.22 */
/* makefil3.cc 17/05/1998 06.30.46 */
/* makefil4.cc 16/05/1998 14.03.34 */
/* makefil5.cc 17/01/1999 22.34.54 */
/* os2.cc 24/02/1997 14.57.02 */
int is_os2exec_run (void);
int is_os2 (void);
int os2_system (const char *std_in,
	 const char *std_out,
	 const char *std_err,
	 const char *buf);
/* path.cc 17/05/1998 06.36.42 */
int path_pushdir (const USERINFO *user,
	 const char *path,
	 SAVEPATH *save);
int file_touch (const USERINFO *user, const char *fname, int newp);
/* path2.cc 16/05/1998 15.19.28 */
export int path_getcwd (char *path, int buflen);
export void path_make (const char *path,
	 const char *name,
	 char *filepath);
export int path_isroot (const char *path);
export int path_chdir (const char *newpath);
export int path_pushdir (const char *path, SAVEPATH *savepath);
export int path_popdir (SAVEPATH *savepath);
/* pdiff.cc 17/01/1999 17.25.46 */
/* pexec.cc 21/06/1995 19.38.00 */
/* pget.cc 17/01/1999 17.23.38 */
/* prjctrl.cc 17/05/1998 22.37.54 */
/* prjenv.cc 17/05/1998 06.42.56 */
int prjenv_get (USERINFO *user,
	 const char *projet,
	 const char *pathmake,
	 int getsub,
	 int getobj,
	 PROJET_LOG *log);
int prjenv_deldir (USERINFO *user,
	 const char *projet,
	 int srcdir,
	 int objdir);
/* prjexpr.cc 17/01/1999 17.26.24 */
/* prjlist.cc 28/01/1999 03.09.40 */
int projet_getrevdir (const char *path, char *tbrev[], int maxtb);
/* prjlock.cc 17/05/1998 22.38.16 */
int prjlock_exist (const char *groupe,
	 const char *projet,
	 int creation);
/* prjlock1.cc 16/05/1998 14.05.50 */
/* prjlock2.cc 17/05/1998 11.45.10 */
/* prjopr.cc 17/05/1998 11.48.44 */
int prjopr_makedir (const char *prjpath, const char *usrpath);
int prjopr_copylst (const char *prjpath,
	 const char *usrpath,
	 WILD_LST *lst);
int prjopr_copie (const char *source, const char *destination);
int prjopr_objdist (const char *prjpath, const char *objpath);
/* prog.cc 17/01/1999 17.28.42 */
int prog_getnum (const char *prog);
const char *prog_num2str (int num);
const char *prog_getid (bool quit);
/* projet.cc 15/04/1993 23.10.50 */
/* projet1.cc 17/05/1998 22.40.48 */
int projet_get (USERINFO *user,
	 const char *tbprj[],
	 int nbprj,
	 int dolog,
	 int getsub,
	 int getobj,
	 PROJET_LOG *log);
int projet_get (USERINFO *user,
	 const char *tbprj[],
	 int nbprj,
	 int dolog,
	 int getsub,
	 int getobj);
int projet_setup (USERINFO *user, const char *tbprj[], int nbprj);
int projet_chkusrenv (USERINFO *user);
int projet_deluserdir (USERINFO *user,
	 const char *tbprj[],
	 int nbprj);
int projet_livre (USERINFO *user, const char *tbprj[], int nbprj);
/* projet2.cc 07/07/1998 03.38.20 */
void projet_setupinfo (DIALOG&dia, USERINFO *user);
int projet_select (USERINFO *user, PRJLISTE&liste);
/* projet3.cc 17/05/1998 22.41.14 */
int projet_setupbuild (USERINFO *user,
	 const char *tbprj[],
	 int nbprj);
/* projetc.cc 17/01/1999 17.27.00 */
void error_showdef (int msg, ...);
/* projetp.cc 28/01/1999 03.22.24 */
/* rcmd.cc 17/05/1998 22.44.06 */
/* rcs.cc 16/05/1998 15.10.10 */
void rcs_setmode (int test);
void rcs_setlog (PROJET_LOG *log);
int rcs_put (const char *fname,
	 const char *username,
	 REVISION *rev,
	 const char *pathref,
	 const char *doc);
int rcs_extract (const char *fname,
	 const REVISION *rev,
	 const char *pathref,
	 const char *pathomb);
/* rcs1.cc 19/05/1998 00.04.38 */
int rcs_opendup (const char *fname,
	 int mode,
	 int remplace,
	 const char *msgerr);
int rcs_closedup (int opendup_ret, int remplace);
int rcs_system (const char *buf);
int rcs_system (const char *std_in,
	 const char *std_out,
	 const char *std_err,
	 const char *buf);
int rcs_unzip (const USERINFO *user,
	 const char *wpath,
	 const char *sdir,
	 const char *fichier);
/* rcs2.cc 16/05/1998 15.10.22 */
int rcs_vdiff (const char *fname1,
	 const char *fname2,
	 const char *result);
/* revision.cc 17/05/1998 12.50.10 */
int revision_path2rev (const char *src, char *dst);
/* savepath.cc 16/05/1998 15.10.40 */
/* tmppath.cc 17/05/1998 12.53.14 */
/* ufusion.cc 17/05/1998 22.42.54 */
void ufusion_prepare (USERINFO *user);
/* userinf.cc 17/05/1998 22.24.12 */
/* userinf1.cc 17/01/1999 17.24.02 */
/* userinf2.cc 28/01/1999 09.22.24 */
char *userinfo_chkenv (const char *varname, const char *defval);
USERINFO *userinfo_findenv (const char *prog);
/* version0.cc 17/01/1999 22.54.58 */
/* version1.cc 01/07/1998 16.48.26 */
int version_setmain (USERINFO *user, const char *path_check);
/* version2.cc 07/07/1998 15.55.34 */
/* version3.cc 28/01/1999 02.58.52 */
/* version4.cc 17/05/1998 13.21.22 */
/* wlog.cc 18/05/1998 22.39.22 */
